"use client";
function g(a, s, i, t, o = !1) {
  if (!a || !s)
    return;
  const { startOfYear: l, endOfYear: u, addYears: Y, getYear: d, isBefore: c, isSameYear: p } = t, m = l(a), n = u(s), r = [];
  let e = m;
  for (; c(e, n) || p(e, n); )
    r.push(e), e = Y(e, 1);
  return o && r.reverse(), r.map((f) => {
    const O = i.formatYearDropdown(f, t);
    return {
      value: d(f),
      label: O,
      disabled: !1
    };
  });
}
export {
  g as getYearOptions
};
